Bug 1030109 - Asus Eee 100H, Test Day:2013-11-14 Power management, got AVCs
Asus Eee 100H, Test Day:2013-11-14 Power management, got AVCs
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-13 18:00 EST by Miro Hrončok
Modified: 2014-08-22 09:10 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-22 09:10:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
pmtd-selinux-test output (38.29 KB, text/plain)
2013-11-14 05:03 EST, Branislav Blaškovič
no flags Details

  None (edit)
Description Miro Hrončok 2013-11-13 18:00:00 EST
Description of problem:
Honestly I have no idea what it means, but during Test Day:2013-11-14 Power management [0] I've had AVCs during Tuned test [1].

Steps to Reproduce:
1. Run pmtd-selinux-test from Test day package on Asus Eee 1000H

Actual results:
http://paste.fedoraproject.org/53848/37353013/

Expected results:
No AVCs

Additional info:
Will provide any additional info requested (if I'm capable of obtaining it).

[0] https://fedoraproject.org/wiki/Test_Day:2013-11-14_Power_management
[1] https://fedoraproject.org/wiki/QA:Testcase_Power_Management_tuned_basic
Comment 1 Branislav Blaškovič 2013-11-14 05:03:34 EST
Created attachment 823847 [details]
pmtd-selinux-test output

I have similar AVCs.
Comment 2 Petr Sklenar 2013-11-14 05:04:05 EST
There is also avc with my T61 laptop:
[root@localhost ~]# pmtd-selinux-test
AVCs: ----
type=SYSCALL msg=audit(11/14/2013 04:58:07.521:556) : arch=x86_64 syscall=stat success=yes exit=0 a0=0x1ec6400 a1=0x7fff3c8207f0 a2=0x7fff3c8207f0 a3=0x8 items=0 ppid=2921 pid=2933 auid=unset uid=root gid=root euid=root suid=root fsuid=root egid=root sgid=root fsgid=root ses=unset tty=(none) comm=virt-what exe=/usr/bin/bash subj=system_u:system_r:tuned_t:s0 key=(null) 
type=AVC msg=audit(11/14/2013 04:58:07.521:556) : avc:  denied  { getattr } for  pid=2933 comm=virt-what path=/proc/1/environ dev="proc" ino=48020 scontext=system_u:system_r:tuned_t:s0 tcontext=system_u:system_r:init_t:s0 tclass=file 
----
type=SYSCALL msg=audit(11/14/2013 04:58:07.524:557) : arch=x86_64 syscall=open success=yes exit=3 a0=0x7fff0d502f50 a1=O_RDONLY a2=0x1fffffffffff0000 a3=0x7fff0d502240 items=0 ppid=2933 pid=2945 auid=unset uid=root gid=root euid=root suid=root fsuid=root egid=root sgid=root fsgid=root ses=unset tty=(none) comm=cat exe=/usr/bin/cat subj=system_u:system_r:tuned_t:s0 key=(null) 
type=AVC msg=audit(11/14/2013 04:58:07.524:557) : avc:  denied  { open } for  pid=2945 comm=cat path=/proc/1/environ dev="proc" ino=48020 scontext=system_u:system_r:tuned_t:s0 tcontext=system_u:system_r:init_t:s0 tclass=file 
type=AVC msg=audit(11/14/2013 04:58:07.524:557) : avc:  denied  { read } for  pid=2945 comm=cat name=environ dev="proc" ino=48020 scontext=system_u:system_r:tuned_t:s0 tcontext=system_u:system_r:init_t:s0 tclass=file
Comment 3 Branislav Blaškovič 2013-11-14 05:05:51 EST
Additional information to comment #1:
Running on Lenovo T420s
# rpm -q fedora-release tuned tuned-utils 
fedora-release-20-0.7.noarch
tuned-2.3.0-2.fc20.noarch
tuned-utils-2.3.0-2.fc20.noarch
# uname -a
Linux bblaskov.brq.redhat.com 3.11.7-300.fc20.x86_64 #1 SMP Mon Nov 4 15:07:39 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

Note You need to log in before you can comment on or make changes to this bug.